<!DOCTYPE html>
<html lang="ko"
	xmlns:th="http://www.thymeleaf.org">
<!--
 *******************************************************************************
 * @source  : DeliveryFeeSettleForm.html
 * @desc    : 배송비정산 Page
 *============================================================================
 * STYLE24
 * Copyright(C) 2020 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE         AUTHOR      DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2020.10.26   gagamel     최초 작성
 *******************************************************************************
 -->
	<div id="main">
		<!-- 메인타이틀 영역 -->
		<div class="main-title">
		</div>
		<!-- //메인타이틀 영역 -->
		
		<!-- 메뉴 설명 -->
		<div class="infoBox menu-desc">
		</div>
		<!-- //메뉴 설명 -->
		
		<!-- 검색조건 영역 -->
		<div class="panelStyle">
			<form id="searchForm" name="searchForm" action="#" th:action="@{'/settle/delivery/fee/list'}" onsubmit="$('#btnSearch').trigger('click'); return false;">
				<table class="frmStyle" aria-describedby="검색조건">
					<colgroup>
						<col style="width:10%;"/>
						<col style="width:60%;"/>
						<col style="width:10%;"/>
						<col/>
					</colgroup>
					<tr>
						<th>매출기간<i class="required" title="필수" aria-hidden="true"></i></th>
						<td id="terms">
						</td>
						<th>유통구분</th>
						<td>
							<select name="distributionGb">
								<option value="">[전체]</option>
								<option th:if="${distributionGbList}" th:each="oneData, status : ${distributionGbList}" th:value="${oneData.cd}" th:text="${'[' + oneData.cd + '] ' + oneData.cdNm}"></option>
							</select>
						</td>
					</tr>
					<tr>
						<th>공급업체</th>
						<td>
<!-- 							<select name="supplyCompCd"> -->
<!-- 								<option value="">[전체]</option> -->
<!-- 								<option th:if="${supplyCompList}" th:each="oneData, status : ${supplyCompList}" th:value="${oneData.cd}" th:text="${'[' + oneData.cd + '] ' + oneData.cdNm}"></option> -->
<!-- 							</select> -->
							<input type="text" class="w100" name="supplyCompSearchTxt" id="supplyCompSearchTxt" maxlength="20"/>
							<button type="button" class="btn icn" onclick="cfnOpenCompanyListPopup('fnSetSupplyCompInfo', 'M');"><i class="fa fa-search"></i></button>
							<span id="supplyCompTxt"></span>
							<input type="hidden" name="supplyCompList"/>
						</td>
						<th>브랜드</th>
						<td>
<!-- 							<select name="brandCd"> -->
<!-- 								<option value="">[전체]</option> -->
<!-- 							</select> -->
							<input type="text" class="w100" name="brandSearchTxt" id="brandSearchTxt" maxlength="20" />
							<button type="button" class="btn icn" onclick="cfnOpenBrandListPopup('fnSetBrandInfo', 'M');"><i class="fa fa-search"></i></button>
							<!-- <input type="text" class="w100" name="brandCd" readonly="readonly"/> -->
							<span id="brandTxt"></span>
							<input type="hidden" name="brandList"/>
						</td>
					</tr>
				</table>
				
				<ul class="panelBar">
					<li class="center">
						<button type="button" class="btn btn-base btn-lg" id="btnSearch">조회</button>
						<button type="button" class="btn btn-gray btn-lg" id="btnInit">초기화</button>
					</li>
				</ul>
			</form>
		</div>
		<!-- 검색조건 영역 -->

		<!-- 리스트 영역 -->
		<div class="panelStyle">
			<!-- 버튼 배치 영역 -->
			<ul class="panelBar">
				<li class="right">
					<button type="button" class="btn btn-default btn-lg" id="btnExcel">엑셀다운로드</button>
				</li>
			</ul>
			<!-- //버튼 배치 영역 -->
			
			<div id="gridList" style="width: 100%; height: 470px" class="ag-theme-balham"></div>
		</div>
		<!-- //리스트 영역 -->
	</div>

<script th:inline="javascript">
/*<![CDATA[*/
	let supplyCompList = gagajf.convertToArray([[${supplyCompList}]]);
	let distributionGbList = gagajf.convertToArray([[${distributionGbList}]]);

	let columnDefs = [
		{ headerName: "발생(출고/회수)일자", field: "occurDt", width: 150, cellClass: 'text-center' },
		{ headerName: "공급업체", field: "supplyCompNm", width: 200, cellClass: 'text-center' },
		{ headerName: "유통구분", field: "distributionGbNm", width: 150, cellClass: 'text-center' },
		{ headerName: "배송비구분", field: "delvFeeGbNm", width: 150, cellClass: 'text-center' },
		{ headerName: "주문번호", field: "ordNo", width: 100, cellClass: 'text-center' },
		{
			headerName: "배송비", field: "delvFee", width: 100, cellClass: 'text-right',
			cellRenderer: function (params) { return gagaAgGrid.toAddComma(params.value); }
		}
	];

	let gridOptions = gagaAgGrid.getGridOptions(columnDefs);

	// 업체 조회 팝업에서 호출
	var fnSetSupplyCompInfo = function(result) {
		var arrSupplyComp = [];
		var supplyCompTxt = "";
		var sIndex = 0;
		$('#supplyCompTxt').html('');
		$('#searchForm input[name=supplyCompSearchTxt]').val('');
		
		result.forEach(function(supplyComp) {
			sIndex++; 
			arrSupplyComp.push(supplyComp.supplyCompCd);
		});

		// 조회 값이 하나일 경우 화면에 코드 노출. 그 외는 갯수 처리 
		if (sIndex == 1) {
			$('#searchForm input[name=supplyCompSearchTxt]').val(arrSupplyComp[0]);
		} else {
			supplyCompTxt = sIndex + " 개";
			$('#supplyCompTxt').html(supplyCompTxt);
		}
		
		var jsonData = JSON.stringify(arrSupplyComp);
		$("#searchForm input[name=supplyCompList]").val(jsonData);
	}
	
	// 브랜드 조회 팝업에서 호출
	var fnSetBrandInfo = function(result) {
		var arrbrandCd = [];
		var brandTxt = "";
		var bIndex = 0;
		$('#brandTxt').html('');
		$('#searchForm input[name=brandSearchTxt]').val('');
		
		result.forEach(function(brand){
			bIndex++; 
			arrbrandCd.push(brand.brandCd);
		});

		// 조회 값이 하나일 경우 화면에 코드 노출. 그 외는 갯수 처리 
		if (bIndex == 1) {
			$('#searchForm input[name=brandSearchTxt]').val(arrbrandCd[0]);
		} else {
			brandTxt = bIndex + " 개";
			$('#searchForm').find('#brandTxt').html(brandTxt);
		}
		
		var jsonData = JSON.stringify(arrbrandCd);
		$("#searchForm input[name=brandList]").val(jsonData);
	}
	
	// 검색
	$('#btnSearch').on('click', function() {
		// 입력 값 체크
		if (!gagajf.validation($('#searchForm')))
			return false;
		
		gagaAgGrid.fetch($('#searchForm').prop('action'), gridOptions, '#searchForm');
	});
	
	// 초기화 클릭시
	$('#btnInit').on('click', function() {
		$('#searchForm')[0].reset();
		$('#searchForm input[name=brandList]').val('');
		$('#searchForm input[name=supplyCompList]').val('');
		$('#brandTxt').html('');
		$('#supplyCompTxt').html('');
	});
	
	// 엑셀다운로드
	$('#btnExcel').on('click', function() {
		gagaAgGrid.exportToExcel('배송비정산 목록', gridOptions);
	});
	
	$(document).ready(function() {
		cfnCreateCalendar('#terms', 'salesStdt', 'salesEddt', true, '매출');
		$('.btnToday').trigger('click');
		
		// Create a agGrid
		gagaAgGrid.createGrid('gridList', gridOptions);
	});
/*]]>*/
</script>

</html>
